version: '3.8'
services:
    dojo-database:
        container_name: dojo-database
        image: mariadb:11.0
        environment:
            MARIADB_ROOT_PASSWORD: '9buz7f312479g6234f1gnioubervw79b8z'
        networks:
            dojo-network:
                aliases:
                    - dojo-database
        volumes:
            - dojo-database:/var/lib/mysql
        ports:
            - "59231:3306"
        restart: always

    adminer:
        container_name: adminer
        image: adminer:latest
        environment:
            - ADMINER_DEFAULT_SERVER=dojo-database
            - TZ=Europe/Zurich
            - ADMINER_PLUGINS=dump-alter dump-bz2 dump-date dump-json dump-xml dump-zip edit-foreign edit-textarea foreign-system json-column sql-log struct-comments tables-filter
            - ADMINER_DESIGN=dracula
        networks:
            dojo-network:
                aliases:
                    - adminer
        depends_on:
            - dojo-database
        ports:
            - "62394:8080"
        restart: always

networks:
    dojo-network:
volumes:
    dojo-database: